Cập nhật trạng thái buổi học
curl --request PUT \
--url https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"scheduleId": 123,
"classId": 123,
"time": "2023-11-07T05:31:56Z",
"teacherUserName": "<string>",
"status": 0,
"note": "<string>",
"lessons": [
{
"lessonId": 123,
"lessonName": "<string>",
"hasAttachedFile": true,
"content": "<string>",
"videoUrl": "<string>",
"courseId": 123,
"positionIndex": 123,
"course": {
"courseId": 123,
"name": "<string>",
"duration": 123,
"lessonsAmount": 123,
"timetable": "<string>",
"description": "<string>",
"content": "<string>",
"objective": "<string>",
"level": "<string>",
"fee": 123,
"subject": {
"subjectId": 123,
"name": "<string>"
},
"isHot": true,
"image": "aSDinaTvuI8gbWludGxpZnk=",
"introduction": "<string>",
"isOnline": true,
"classId": 123,
"teachers": [
{
"roleId": 123,
"id": "<string>",
"userName": "<string>",
"name": "<string>",
"introduction": "<string>",
"gender": 0,
"photo": "aSDinaTvuI8gbWludGxpZnk="
}
],
"lessons": "<array>",
"type": 0,
"benefit": "<string>",
"revenueCatId": "<string>"
}
}
]
}Academy
Cập nhật trạng thái buổi học
PUT
/
academy
/
classes
/
ownedClasses
/
{classId}
/
schedules
/
{scheduleId}
/
status
Cập nhật trạng thái buổi học
curl --request PUT \
--url https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/academy/classes/ownedClasses/{classId}/schedules/{scheduleId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"scheduleId": 123,
"classId": 123,
"time": "2023-11-07T05:31:56Z",
"teacherUserName": "<string>",
"status": 0,
"note": "<string>",
"lessons": [
{
"lessonId": 123,
"lessonName": "<string>",
"hasAttachedFile": true,
"content": "<string>",
"videoUrl": "<string>",
"courseId": 123,
"positionIndex": 123,
"course": {
"courseId": 123,
"name": "<string>",
"duration": 123,
"lessonsAmount": 123,
"timetable": "<string>",
"description": "<string>",
"content": "<string>",
"objective": "<string>",
"level": "<string>",
"fee": 123,
"subject": {
"subjectId": 123,
"name": "<string>"
},
"isHot": true,
"image": "aSDinaTvuI8gbWludGxpZnk=",
"introduction": "<string>",
"isOnline": true,
"classId": 123,
"teachers": [
{
"roleId": 123,
"id": "<string>",
"userName": "<string>",
"name": "<string>",
"introduction": "<string>",
"gender": 0,
"photo": "aSDinaTvuI8gbWludGxpZnk="
}
],
"lessons": "<array>",
"type": 0,
"benefit": "<string>",
"revenueCatId": "<string>"
}
}
]
}Ủy quyền
OAuth2 Implicit Grant
Tham số đường dẫn
ID của lớp học
ID của buổi học
Nội dung
application/jsontext/json
Thông tin trạng thái buổi học
(NotStarted = Chưa bắt đầu, Completed = Đã hoàn thành, Cancelled = Đã hủy)
Tùy chọn có sẵn:
0, 1, 2